import os
import random

# Директория для генерации файлов
output_dir = '/var/data'

# Проверка на наличие таковой
os.makedirs(output_dir, exist_ok=True)

# Генерируем случайное кол-во файлов (1-15)
num_files = random.randint(1, 15)

# Случайное по всем статьям заполнение файла
def generate_random_file(filename):
    
    # Рандомное кол-во строк в файле
    num_lines = random.randint(1, 100)
    
    with open(filename, 'w') as f:
        for _ in range(num_lines):
            # Для полного швепса выбираем случайное число
            random_number = random.randint(0, 1000)
            f.write(f"{random_number}\n")

# Запускаем генерацию нашего набора файлов
for i in range(num_files):
    filename = os.path.join(output_dir, f'random_file_{i + 1}.txt')
    generate_random_file(filename)
    print(f"Генерация файла {filename}.")

print(f"Общее кол-во сгенерированных файлов: {num_files}")
